Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.framework
Class AdvisorChainFactoryUtils

    java.lang.Object
      org.springframework.aop.framework.AdvisorChainFactoryUtils

Deprecated. as of Spring 2.0.3, in favor of `DefaultAdvisorChainFactory`. This utility class will be removed in Spring 2.1.

    public abstract class AdvisorChainFactoryUtils

extends Object

Utility methods for use by `AdvisorChainFactory` implementations.

The `calculateInterceptorsAndDynamicInterceptionAdvice(org.springframework.aop.framework.Advised, java.lang.Object, java.lang.reflect.Method, java.lang.Class)` method is the definitive way of working out an advice chain for a Method, given an `Advised` object.

Author:
  Rod Johnson, Juergen Hoeller

Field Summary
`static AdvisorChainFactory` | `SIMPLE_ADVISOR_CHAIN_FACTORY` Deprecated. Canonical instance of a simple AdvisorChainFactory implementation.

Constructor Summary
`AdvisorChainFactoryUtils()` Deprecated.

Method Summary
`static List` | `calculateInterceptorsAndDynamicInterceptionAdvice(Advised config, Object proxy, Method method, Class targetClass)` Deprecated. Return the static interceptors and dynamic interception advice that may apply to this method invocation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIMPLE_ADVISOR_CHAIN_FACTORY

    public static final AdvisorChainFactory SIMPLE_ADVISOR_CHAIN_FACTORY

  Deprecated.
  Canonical instance of a simple AdvisorChainFactory implementation.

Constructor Detail

### AdvisorChainFactoryUtils

    public AdvisorChainFactoryUtils()

  Deprecated.

Method Detail

### calculateInterceptorsAndDynamicInterceptionAdvice

    public static List calculateInterceptorsAndDynamicInterceptionAdvice(Advised config,
                                                                         Object proxy,
                                                                         Method method,
                                                                         Class targetClass)

  Deprecated.
  Return the static interceptors and dynamic interception advice that may apply to this method invocation.

  Parameters:
    `config` - the AOP configuration in the form of an Advised object
    `proxy` - the proxy object
    `method` - the proxied method
    `targetClass` - the target class
  Returns:
    List of MethodInterceptors (may also include InterceptorAndDynamicMethodMatchers)
  See Also:
    `AdvisorChainFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.